Basker Docs

Get custom attributes schema

Describe the available custom attributes for Posts: keys/types/options needed to construct a valid write. Rate limit: 100 requests per minute per API key.

GET
/{version}/{tenant}/posts/custom-attributes/schema
Authorization<token>

Use format: users API-Key YOUR_API_KEY

In: header

Path Parameters

version*string

API version

Default"2026-02"
Value in"2026-02"
tenant*string

Tenant slug

Response Body

application/json

application/json

application/json

curl -X GET "https://api.basker.app/partners/2026-02/string/posts/custom-attributes/schema"
{
  "collection": "string",
  "configurationAvailable": true,
  "template": "string",
  "reason": "string",
  "fields": [
    {
      "key": "string",
      "type": "string",
      "label": "string",
      "hasMany": true,
      "relationTo": "string",
      "options": [
        {
          "value": null,
          "label": "string"
        }
      ],
      "fields": [
        {
          "key": "string",
          "type": "string",
          "label": "string",
          "hasMany": true,
          "relationTo": "string",
          "options": [
            {
              "value": null,
              "label": "string"
            }
          ],
          "fields": [],
          "customObjectType": "string"
        }
      ],
      "customObjectType": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "Too Many Requests",
  "message": "Rate limit exceeded. Please retry later."
}